---
title: Standard metadata names
slug: Web/HTML/Element/meta/name
tags:
  - Attribute
  - HTML
  - HTML document metadata
  - Reference
  - metadata
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The {{htmlelement("meta")}} element can be used to provide document metadata in terms of name-value pairs, with the {{htmlattrxref("name", "meta")}} attribute giving the metadata name, and the {{htmlattrxref("content", "meta")}} attribute giving the value.</span></p>

<h3 id="Standard_metadata_names_defined_in_the_HTML_specification">Standard metadata names defined in the HTML specification</h3>

<p>The HTML specification defines the following set of standard metadata names:</p>

<ul>
 <li>
  <p><code>application-name</code>: the name of the application running in the web page.</p>

  <div class="note"><strong>Note:</strong>

  <ul>
   <li>Browsers may use this to identify the application. It is different from the {{HTMLElement("title")}} element, which usually contain the application name, but may also contain information like the document name or a status.</li>
   <li>Simple web pages shouldn't define an application-name.</li>
  </ul>
  </div>
 </li>
 <li><code>author</code>: the name of the document's author.</li>
 <li><code>description</code>: a short and accurate summary of the content of the page. Several browsers, like Firefox and Opera, use this as the default description of bookmarked pages.</li>
 <li><code>generator</code>: the identifier of the software that generated the page.</li>
 <li><code>keywords</code>: words relevant to the page's content separated by commas.</li>
 <li><code>referrer</code>: controls the HTTP {{httpheader("Referer")}} header for to requests sent from the document:
  <table class="standard-table">
   <caption>Values for the <code>content</code> attribute of <code>&lt;meta name="referrer"&gt;</code></caption>
   <tbody>
    <tr>
     <td><code>no-referrer</code></td>
     <td>Do not send a HTTP {{httpheader("Referer")}} header.</td>
    </tr>
    <tr>
     <td><code>origin</code></td>
     <td>Send the {{glossary("origin")}} of the document.</td>
    </tr>
    <tr>
     <td><code>no-referrer-when-downgrade</code></td>
     <td>Send the full URL when the destination is at least as secure as the current page (HTTP(S)→HTTPS), but send no referrer when it's less secure (HTTPS→HTTP). This is the default behaviour.</td>
    </tr>
    <tr>
     <td><code>origin-when-cross-origin</code></td>
     <td>Send the full URL (stripped of parameters) for same-origin requests, but only send the origin for other cases.</td>
    </tr>
    <tr>
     <td><code>same-origin</code></td>
     <td>Send the full URL (stripped of parameters) for same-origin requests. Cross-origin requests will contain no referrer header.</td>
    </tr>
    <tr>
     <td><code>strict-origin</code></td>
     <td>Send the origin when the destination is at least as secure as the current page (HTTP(S)→HTTPS), but send no referrer when it's less secure (HTTPS→HTTP).</td>
    </tr>
    <tr>
     <td><code>strict-origin-when-cross-origin</code></td>
     <td>Send the full URL (stripped of parameters) for same-origin requests. Send the origin when the destination is at least as secure as the current page (HTTP(S)→HTTPS). Otherwise, send no referrer.</td>
    </tr>
    <tr>
     <td><code>unsafe-URL</code></td>
     <td>Send the full URL (stripped of parameters) for same-origin or cross-origin requests.</td>
    </tr>
   </tbody>
  </table>

  <div class="note"><strong>Notes:</strong>

  <ul>
   <li>Dynamically inserting <code>&lt;meta name="referrer"&gt;</code> (with {{domxref("Document.write", "document.write()")}} or {{domxref("Node.appendChild", "appendChild()")}}) makes the referrer behaviour unpredictable.</li>
   <li>When several conflicting policies are defined, the <code>no-referrer</code> policy is applied.</li>
  </ul>
  </div>
 </li>
 <li><code><a href="/en-US/docs/Web/HTML/Element/meta/name/theme-color">theme-color</a></code>: indicates a suggested color that user agents should use to customize the display of the page or of the surrounding user interface. The <code>content</code> attribute contains a valid CSS {{cssxref("&lt;color&gt;")}}.</li>
 <li>
  <p><code>color-scheme</code>: specifies one or more color schemes with which the document is compatible.</p>

  <p>The browser will use this information in tandem with the user's browser or device settings to determine what colors to use for everything from background and foregrounds to form controls and scrollbars. The primary use for <code>&lt;meta name="color-scheme"&gt;</code> is to indicate compatibility with—and order of preference for—light and dark color modes.</p>

  <p>The value of the {{htmlattrxref("content", "meta")}} property for <code>color-scheme</code> may be one of the following:</p>

  <dl>
   <dt><code>normal</code></dt>
   <dd>The document is unaware of color schemes and should be rendered using the default color palette.</dd>
   <dt>[<code>light</code> | <code>dark</code>]+</dt>
   <dd>One or more color schemes supported by the document. Specifying the same color scheme more than once has the same effect as specifying it only once. Indicating multiple color schemes indicates that the first scheme is preferred by the document, but that the second specified scheme is acceptable if the user prefers it.</dd>
   <dt><code>only light</code></dt>
   <dd>Indicates that the document <em>only</em> supports light mode, with a light background and dark foreground colors. By specification, <code>only dark</code> <em>is not valid</em>, because forcing a document to render in dark mode when it isn't truly compatible with it can result in unreadable content; all major browsers default to light mode if not otherwise configured.</dd>
  </dl>

  <p>For example, to indicate that a document prefers dark mode but does render functionally in light mode as well:</p>

  <pre class="brush: html notranslate">&lt;meta name="color-scheme" content="dark light"&gt;</pre>

  <p>This works at the document level in the same way that the CSS {{cssxref("color-scheme")}} property lets individual elements specify their preferred and accepted color schemes. Your styles can adapt to the current color scheme using the {{cssxref("@media/prefers-color-scheme", "prefers-color-scheme")}} CSS media feature.</p>
 </li>
</ul>

<h3 id="Standard_metadata_names_defined_in_other_specifications">Standard metadata names defined in other specifications</h3>

<p>The CSS Device Adaptation specification defines the following metadata name:</p>

<ul>
 <li>
  <p><code>viewport</code>: gives hints about the size of the initial size of the {{glossary("viewport")}}. Used by mobile devices only.</p>

  <table class="fullwidth-table">
   <caption>Values for the content of <code>&lt;meta name="viewport"&gt;</code></caption>
   <thead>
    <tr>
     <th scope="col">Value</th>
     <th scope="col">Possible subvalues</th>
     <th scope="col">Description</th>
    </tr>
   </thead>
   <tbody>
    <tr>
     <td><code>width</code></td>
     <td>A positive integer number, or the text <code>device-width</code></td>
     <td>Defines the pixel width of the viewport that you want the web site to be rendered at.</td>
    </tr>
    <tr>
     <td><code>height</code></td>
     <td>A positive integer, or the text <code>device-height</code></td>
     <td>Defines the height of the viewport. Not used by any browser.</td>
    </tr>
    <tr>
     <td><code>initial-scale</code></td>
     <td>A positive number between <code>0.0</code> and <code>10.0</code></td>
     <td>Defines the ratio between the device width (<code>device-width</code> in portrait mode or <code>device-height</code> in landscape mode) and the viewport size.</td>
    </tr>
    <tr>
     <td><code>maximum-scale</code></td>
     <td>A positive number between <code>0.0</code> and <code>10.0</code></td>
     <td>Defines the maximum amount to zoom in. It must be greater or equal to the <code>minimum-scale</code> or the behaviour is undefined. Browser settings can ignore this rule and iOS10+ ignores it by default.</td>
    </tr>
    <tr>
     <td><code>minimum-scale</code></td>
     <td>A positive number between <code>0.0</code> and <code>10.0</code></td>
     <td>Defines the minimum zoom level. It must be smaller or equal to the <code>maximum-scale</code> or the behaviour is undefined. Browser settings can ignore this rule and iOS10+ ignores it by default.</td>
    </tr>
    <tr>
     <td><code>user-scalable</code></td>
     <td><code>yes</code> or <code>no</code></td>
     <td>If set to <code>no</code>, the user is not able to zoom in the webpage. The default is <code>yes</code>. Browser settings can ignore this rule, and iOS10+ ignores it by default.</td>
    </tr>
    <tr>
     <td><code>viewport-fit</code></td>
     <td><code>auto</code>, <code>contain</code> or <code>cover</code></td>
     <td>
      <p>The <code>auto</code> value doesn’t affect the initial layout viewport, and the whole web page is viewable.</p>

      <p>The <code>contain</code> value means that the viewport is scaled to fit the largest rectangle inscribed within the display.</p>

      <p>The <code>cover</code> value means that the viewport is scaled to fill the device display. It is highly recommended to make use of the <a href="/en-US/docs/Web/CSS/env()">safe area inset</a> variables to ensure that important content doesn't end up outside the display.</p>
     </td>
    </tr>
   </tbody>
  </table>

  <div class="note"><strong>Notes:</strong>

  <ul>
   <li>Though unstandardized, this declaration is respected by most mobile browsers due to de-facto dominance.</li>
   <li>The default values may vary between devices and browsers.</li>
   <li>To learn about this declaration in Firefox for Mobile, see <a href="/en-US/docs/Mobile/Viewport_meta_tag" title="Mobile/Viewport meta tag">this article</a>.</li>
  </ul>
  </div>

  <h5 id="Accessibility_concerns_with_viewport_scaling">Accessibility concerns with viewport scaling</h5>

  <div>Disabling zooming capabilities by setting <code>user-scalable</code> to a value of <code>no</code> prevents people experiencing low vision conditions from being able to read and understand page content.</div>

  <ul>
   <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
   <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-scale.html">Understanding Success Criterion 1.4.4 | W3C Understanding WCAG 2.0</a></li>
  </ul>

  <h5 id="See_also">See also</h5>

  <p>The <a href="/en-US/docs/Web/CSS/@viewport"><code>@viewport</code></a> CSS at-rule.</p>
 </li>
</ul>

<h3 id="Other_metadata_names">Other metadata names</h3>

<p>The <a class="external" href="https://wiki.whatwg.org/wiki/MetaExtensions">WHATWG Wiki MetaExtensions page</a> contains a large set of non-standard metadata names that have not been formally accepted yet; however, some of the names included there are already used quite commonly in practice — including the following:</p>

<ul>
 <li><code>creator</code>: the name of the creator of the document, such as an organization or institution. If there are more than one, several {{HTMLElement("meta")}} elements should be used.</li>
 <li><code>googlebot</code>, a synonym of <code>robots</code>, is only followed by Googlebot (the indexing crawler for Google).</li>
 <li><code>publisher</code>: the name of the document's publisher.</li>
 <li><code>robots</code>: the behaviour that cooperative crawlers, or "robots", should use with the page. It is a comma-separated list of the values below:
  <table class="standard-table">
   <caption>Values for the content of <code>&lt;meta name="robots"&gt;</code></caption>
   <thead>
    <tr>
     <th scope="col">Value</th>
     <th scope="col">Description</th>
     <th scope="col">Used by</th>
    </tr>
   </thead>
   <tbody>
    <tr>
     <td><code>index</code></td>
     <td>Allows the robot to index the page (default).</td>
     <td>All</td>
    </tr>
    <tr>
     <td><code>noindex</code></td>
     <td>Requests the robot to not index the page.</td>
     <td>All</td>
    </tr>
    <tr>
     <td><code>follow</code></td>
     <td>Allows the robot to follow the links on the page (default).</td>
     <td>All</td>
    </tr>
    <tr>
     <td><code>nofollow</code></td>
     <td>Requests the robot to not follow the links on the page.</td>
     <td>All</td>
    </tr>
    <tr>
     <td><code>all</code></td>
     <td>Equivalent to <code>index, follow</code></td>
     <td><a class="external" href="https://support.google.com/webmasters/answer/79812">Google</a></td>
    </tr>
    <tr>
     <td><code>none</code></td>
     <td>Equivalent to <code>noindex, nofollow</code></td>
     <td><a class="external" href="https://support.google.com/webmasters/answer/79812">Google</a></td>
    </tr>
    <tr>
     <td><code>noarchive</code></td>
     <td>Requests the search engine not to cache the page content.</td>
     <td><a class="external" href="https://developers.google.com/webmasters/control-crawl-index/docs/robots_meta_tag#valid-indexing--serving-directives">Google</a>, <a class="external" href="https://help.yahoo.com/kb/search-for-desktop/SLN2213.html">Yahoo</a>, <a class="external" href="https://www.bing.com/webmaster/help/which-robots-metatags-does-bing-support-5198d240">Bing</a></td>
    </tr>
    <tr>
     <td><code>nosnippet</code></td>
     <td>Prevents displaying any description of the page in search engine results.</td>
     <td><a class="external" href="https://developers.google.com/webmasters/control-crawl-index/docs/robots_meta_tag#valid-indexing--serving-directives">Google</a>, <a class="external" href="https://www.bing.com/webmaster/help/which-robots-metatags-does-bing-support-5198d240">Bing</a></td>
    </tr>
    <tr>
     <td><code>noimageindex</code></td>
     <td>Requests this page not to appear as the referring page of an indexed image.</td>
     <td><a class="external" href="https://developers.google.com/webmasters/control-crawl-index/docs/robots_meta_tag#valid-indexing--serving-directives">Google</a></td>
    </tr>
    <tr>
     <td><code>nocache</code></td>
     <td>Synonym of <code>noarchive</code>.</td>
     <td><a class="external" href="https://www.bing.com/webmaster/help/which-robots-metatags-does-bing-support-5198d240">Bing</a></td>
    </tr>
   </tbody>
  </table>

  <div class="note"><strong>Notes:</strong>

  <ul>
   <li>Only cooperative robots follow these rules. Do not expect to prevent e-mail harvesters with them.</li>
   <li>The robot still needs to access the page in order to read these rules. To prevent bandwidth consumption, use a <em>{{Glossary("robots.txt")}}</em> file.</li>
   <li>If you want to remove a page, <code>noindex</code> will work, but only after the robot visits the page again. Ensure that the <code>robots.txt</code> file is not preventing revisits.</li>
   <li>Some values are mutually exclusive, like <code>index</code> and <code>noindex</code>, or <code>follow</code> and <code>nofollow</code>. In these cases the robot's behaviour is undefined and may vary between them.</li>
   <li>Some crawler robots, like Google, Yahoo and Bing, support the same values for the HTTP header <code>X-Robots-Tag</code>; this allows non-HTML documents like images to use these rules.</li>
  </ul>
  </div>
 </li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#standard-metadata-names', 'standard metadata names')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Device', '#viewport-meta', 'the "viewport" metadata name')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Referrer Policy', '#referrer-policy-delivery-meta', 'the "referrer" metadata name')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("html.elements.meta.name")}}</p>
